{
  imports = [
    ../modules/hyprland.nix
  ];

  wayland.windowManager.hyprland = {
    settings = {
      workspace = [
        "1, monitor:DP-1"
        "2, monitor:DP-1"
        "3, monitor:DP-1"
        "4, monitor:DP-1"
        "5, monitor:DP-1"
        "6, monitor:DP-1"
        "7, monitor:DP-1"
        "8, monitor:DP-1"
        "9, monitor:DP-1"
        "10, monitor:DP-1"

        "11, monitor:DP-2"
        "12, monitor:DP-2"
        "13, monitor:DP-2"
        "14, monitor:DP-2"
        "15, monitor:DP-2"
        "16, monitor:DP-2"
        "17, monitor:DP-2"
        "18, monitor:DP-2"
        "19, monitor:DP-2"
        "20, monitor:DP-2"
      ];
    };

    extraConfig = "
      monitor=DP-1,2560x1440@120,0x0,1
      monitor=DP-2,1920x1080@60,-1920x300,1

      xwayland {
        force_zero_scaling = true
      }
    ";
  };

  programs.hyprpanel = {
    settings = {
      bar = {
        layouts = {
          "*" = {
            left = [
              "dashboard"
              "workspaces"
            ];
            middle = [];
            right = [
              "volume"
              "clock"
              "systray"
              "notifications"
            ];
          };
        };
      };
    };
  };
}
